## globus-gram-job-manager-setup-sge 2.3

=== debian/changelog ===
globus-gram-job-manager-setup-sge (2.3-2) unstable; urgency=low

  * Converting to package format 3.0 (quilt)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 04 Jun 2010 04:43:30 +0200

globus-gram-job-manager-setup-sge (2.3-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.1

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 15 Apr 2010 21:09:55 +0200

globus-gram-job-manager-setup-sge (2.1-1) unstable; urgency=low

  * Initial release (Closes: #567724)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 30 Jan 2010 16:16:28 +0100
