=== debian/control ===
Source: globus-gram-job-manager-setup-sge
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools, globus-core
Standards-Version: 3.8.4
Section: net
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-gram-job-manager-setup-sge
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-gram-job-manager-setup-sge
Homepage: http://www.globus.org/

Package: globus-gram-job-manager-setup-sge
Section: net
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, globus-gass-cache-program, globus-common-progs, globus-gram-job-manager
Description: Globus Toolkit - Sun Grid Engine Job Manager Setup
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gram-job-manager-setup-sge package contains:
 Sun Grid Engine Job Manager Setup
