## globus-gram-job-manager-setup-sge 2.5

=== debian/changelog ===
globus-gram-job-manager-setup-sge (2.5-2) unstable; urgency=low

  * Add README file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 27 Apr 2011 10:56:00 +0200

globus-gram-job-manager-setup-sge (2.5-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.2

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Jul 2010 15:30:40 +0200
